package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * 分地域
 *
 * @author dyp
 */
@Service
public class RegionHRecallStrategy extends AbstractRegionRecallStrategy {
    public static final String PUSH_FORM = "recall_pool_region_h";
    public static final String LAST_VIDEO_KEY_FORMAT = "recall:last:item:region:h:%s:%s";

    @Override
    protected String recordKey(RecallParam param) {
        return String.format("recall:last:record:region:h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String poolKey(RecallParam param, String now_dt, int h) {
        return String.format("recall:item:score:region:h:%s:%s:%s:%s:%s", param.getProvinceCode(), param.getDataKey(), param.getRuleKey(), now_dt, h);
    }

    @Override
    protected String lastVideoKey(RecallParam param) {
        return String.format(LAST_VIDEO_KEY_FORMAT, param.getAppType(), param.getMid());
    }

    @Override
    public String pushFrom() {
        return PUSH_FORM;
    }
}
