package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * 分地域24h
 *
 * @author dyp
 */
@Service
public class RegionRelative48HDupRecallStrategy extends AbstractRegionRecallStrategy {
    public static final String PUSH_FORM = "rov_recall_48h_dup";

    @Override
    protected String recordKey(RecallParam param) {
        return String.format("recall:last:record:region:dup3:48h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    protected String poolKey(RecallParam param, String now_dt, int h) {
        return String.format("recall:item:score:region:dup3:48h:%s:%s:%s:%s:%s", param.getProvinceCode(), param.getDataKey(), param.getRuleKey(), now_dt, h);
    }

    @Override
    protected String lastVideoKey(RecallParam param) {
        return String.format("recall:last:item:region:dup3:48h:%s:%s", param.getAppType(), param.getMid());
    }

    @Override
    public String pushFrom() {
        return PUSH_FORM;
    }
}
